# Usage

```
nft-edit-ruleset [--config [CONFIG_FILE]] [--fail] [--timeout SECONDS] [--yes]
```

# Description

Interactively edit the current nftables ruleset using the editor specified
by environment variable EDITOR (defaulting to vim). Optionally, revert
changes after a timeout given in seconds.

# Options

- `-c`, `--config [CONFIG_FILE]`: On successfully applying the
 changes, save ruleset to `CONFIG_FILE` (default: /etc/nftables.conf).
- `-f`, `--fail`: Exit unsuccessfully if changes fail to apply.
- `-h`, `--help`: Display this message and exit.
- `-t NUM`, `--timeout NUM`: Revert changes after NUM seconds.
- `-y`, `--yes`: No confirmation before applying changes.

# Exit Codes

* 0: Success: No changes to apply or changes applied successfully.
* 1: Error: Usage error or failed or aborted changes.

# Author and License

* Author: Tilman Kranz <tilt@linuxfoo.de>
* License: MIT License [https://opensource.org/licenses/MIT](https://opensource.org/licenses/MIT)

